#!/bin/sh

# From https://emanuelduss.ch/2014/09/dns-zonen-mit-dnssec-signieren/

# 1. Generate a DNSSEC key signing key
dnssec-keygen -3 -a RSASHA512 -b 4096 -r /dev/urandom -n ZONE -f KSK slurm.ch

# 2. Generate a DNSSEC zone signing key 
dnssec-keygen -3 -a NSEC3RSASHA1 -b 2048 -r /dev/urandom -n ZONE slurm.ch
